[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [PATCH] spec: require xen-devel for libxl driver



When using 'rpmbuild --define "_without_xen"', but on a new enough
Fedora where %{with_libxl} still gets set to 1 by default, the
build dependencies were incomplete, which could result in 'make rpm'
failing because ./configure failed to build the libxl driver.

* libvirt.spec.in (BuildRequires): Fix xen-devel condition.

Signed-off-by: Eric Blake <eblake redhat com>
---

Pushing under the build-breaker rule.

I found this on a machine with 'xen-devel' uninstalled, while
running ./autobuild.sh; it took me a while to find the root
cause, since autobuild.sh uses 'rpmbuild --nodeps' and therefore
failed to tell me which packages I did not have installed.

 libvirt.spec.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/libvirt.spec.in b/libvirt.spec.in
index f40b614..aee61fa 100644
--- a/libvirt.spec.in
+++ b/libvirt.spec.in
@@ -412,7 +412,7 @@ BuildRequires: python-devel
 %if %{with_systemd}
 BuildRequires: systemd-units
 %endif
-%if %{with_xen}
+%if %{with_xen} || %{with_libxl}
 BuildRequires: xen-devel
 %endif
 BuildRequires: libxml2-devel
-- 
1.8.1.4


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]